#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#
#


APP_NAME="vmap"
APP_MODULES=( vmap vm4ms anc cadastre cadastreV2 )

rm -Rf deps
mkdir deps

# Vitis
echo "---- INIT Vitis ----"
git subtree add --prefix deps/vitis "git@vm09.veremes.net:Development/vitis_apps/sources/vitis.git" master

# Conf
echo "---- INIT $APP_NAME conf ----"
git subtree add --prefix deps/app_${APP_NAME} "git@vm09.veremes.net:Development/vitis_apps/sources/app_${APP_NAME}.git" master

# Modules
for module in "${APP_MODULES[@]}"; do
	echo "---- INIT ${module} ----"

    # Ajoute le dépôt
	git subtree add --prefix deps/module_${module} "git@vm09.veremes.net:Development/vitis_apps/sources/module_${module}.git" master
done
